Overview
GET
/integration/integration-bookmarks/{id}integrationGet integration_bookmarks by id
Fetch a record from integration-bookmarks by id.
Auth: bearerAuth — calls run as the authenticated user.
Parameters
- idpathstring
Responses
200
integration_bookmarks
- idstring
- customerIdstring
- deletedAtstring?
- ecosystemIdstring
- connectionIdstring
- externalIdstring
- sourceProviderstring
- titlestring
- urlstring
- excerptstring?
- notestring?
- tagsstring?
- imageUrlstring?
- collectionIdstring?
- collectionNamestring?
- isFavoriteboolean
- isDeletedboolean
- syncVersioninteger
- externalCreatedAtstring?
- createdAtstring
- updatedAtstring
Example
{
"id": "string",
"customerId": "string",
"deletedAt": "string",
"ecosystemId": "string",
"connectionId": "string",
"externalId": "string",
"sourceProvider": "string",
"title": "string",
"url": "string",
"excerpt": "string",
"note": "string",
"tags": "string",
"imageUrl": "string",
"collectionId": "string",
"collectionName": "string",
"isFavorite": true,
"isDeleted": true,
"syncVersion": 0,
"externalCreatedAt": "string",
"createdAt": "string",
"updatedAt": "string"
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}404
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/integration/integration-bookmarks/{id}" \
-H "Authorization: Bearer YOUR_TOKEN"JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/integration/integration-bookmarks/{id}", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
},
});
const data = await res.json();